connectivity 0.4.9

Flutter Android iOS web

Flutter plugin for discovering the state of the network (WiFi & mobile/cellular) connectivity on Android and iOS.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  connectivity: ^0.4.9

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:connectivity/connectivity.dart';
604
likes
105
pub points
99%
popularity

Publisher

flutter.dev

Flutter plugin for discovering the state of the network (WiFi & mobile/cellular) connectivity on Android and iOS.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

connectivity_for_web, connectivity_macos, connectivity_platform_interface, flutter, meta

More

Packages that depend on connectivity